
Name:		killswitch-manager
Summary:	This applet controls killswitches and enables you to turn off or on radio devices.
License:	GPL
Group:		Monitoring
URL:		http://qt-apps.org/content/show.php/Killswitch-Manager?content=121359
Version:	0.2
Release:	%mkrel 1
Source0:	killswitch-manager-%{version}.src.tar.xz
Source1:	killswitch-manager.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:       kdebase4-workspace  
Requires:       kdebase4-runtime
BuildRequires:	libqt4-devel
BuildRequires:	kdelibs4-devel cmake


%description
This KDE4 application controls killswitches and
enables you to turn off or on radio devices.


%prep
%setup -q


%build
export PATH=/usr/lib/qt4/bin:$PATH  
export QTDIR=%{_prefix}/lib/qt4/
qmake

%{__make} %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
cp killswitch-manager %{buildroot}/usr/bin

chmod 0755 %{buildroot}/usr/bin/killswitch-manager

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Killswitch Manager
Exec=killswitch-manager
Icon=killswitch-manager
StartupNotify=true
Categories=Qt;System;Monitor;X-MandrivaLinux-System-Monitoring
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README
%{_bindir}/killswitch-manager
%{_datadir}/applications/killswitch-manager.desktop
%{_datadir}/pixmaps/killswitch-manager.png


%changelog
* Sun Aug 01 2010 Texstar <texstar at gmail.com> 0.2-1pclos2010
- create package

